Freeciv-3.1: /fast/freeciv/nightly/S3_1/tools/civmanual.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Data Structures | Enumerations | Functions | Variables
civmanual.c File Reference
`#include <stdarg.h>`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "capability.h"`
`#include "fc_cmdline.h"`
`#include "fciconv.h"`
`#include "fcintl.h"`
`#include "log.h"`
`#include "mem.h"`
`#include "registry.h"`
`#include "support.h"`
`#include "capstr.h"`
`#include "connection.h"`
`#include "events.h"`
`#include "fc_cmdhelp.h"`
`#include "fc_interface.h"`
`#include "fc_types.h"`
`#include "game.h"`
`#include "government.h"`
`#include "improvement.h"`
`#include "map.h"`
`#include "movement.h"`
`#include "player.h"`
`#include "version.h"`
`#include "client_main.h"`
`#include "climisc.h"`
`#include "helpdata.h"`
`#include "helpdlg_g.h"`
`#include "tilespec.h"`
`#include "citytools.h"`
`#include "commands.h"`
`#include "connecthand.h"`
`#include "console.h"`
`#include "diplhand.h"`
`#include "gamehand.h"`
`#include "plrhand.h"`
`#include "report.h"`
`#include "ruleset.h"`
`#include "settings.h"`
`#include "sernet.h"`
`#include "srv_main.h"`
`#include "stdinhand.h"`
`#include "tools_fc_interface.h"`

Go to the source code of this file.

## Data Structures

struct | tag_types

## Enumerations

enum | manuals { MANUAL_SETTINGS , MANUAL_COMMANDS , MANUAL_TERRAIN , MANUAL_BUILDINGS , MANUAL_WONDERS , MANUAL_GOVS , MANUAL_UNITS , MANUAL_TECHS , MANUAL_COUNT }

## Functions

void | insert_client_build_info (char *outbuf, size_t outlen)
static char * | html_special_chars (char *str, size_t *len)
void | popup_help_dialog_string (const char *item)
void | popdown_help_dialog (void)
const char * | tileset_name_get (struct tileset *t)
const char * | tileset_version (struct tileset *t)
const char * | tileset_summary (struct tileset *t)
const char * | tileset_description (struct tileset *t)
enum client_states | client_state (void)
bool | client_nation_is_in_current_set (const struct nation_type *pnation)
static bool | manual_command (struct tag_types *tag_info)
int | main (int argc, char **argv)

## Variables

struct tag_types | html_tags
struct tag_types | wiki_tags
const char * | client_string = "freeciv-manual"
static char * | ruleset = NULL
struct tileset * | tileset

## Enumeration Type Documentation

## ◆ manuals

enum manuals

Enumerator
MANUAL_SETTINGS |
MANUAL_COMMANDS |
MANUAL_TERRAIN |
MANUAL_BUILDINGS |
MANUAL_WONDERS |
MANUAL_GOVS |
MANUAL_UNITS |
MANUAL_TECHS |
MANUAL_COUNT |

Definition at line 77 of file civmanual.c.

## Function Documentation

## ◆ client_nation_is_in_current_set()

bool client_nation_is_in_current_set | ( | const struct nation_type * | pnation | ) |

Mostly a client stub.

Definition at line 284 of file civmanual.c.

## ◆ client_state()

enum client_states client_state | ( | void |  | ) |

Mostly a client stub.

Definition at line 276 of file civmanual.c.

## ◆ html_special_chars()

static char * html_special_chars | ( | char * | str,
|  | size_t * | len
| ) |  |

static

Replace html special characters ('&', '<' and '>').

Definition at line 207 of file civmanual.c.

Referenced by manual_command().

## ◆ insert_client_build_info()

void insert_client_build_info | ( | char * | outbuf,
|  | size_t | outlen
| ) |  |

Empty function required by helpdata

Definition at line 945 of file civmanual.c.

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Entry point of whole freeciv-manual program

Definition at line 795 of file civmanual.c.

## ◆ manual_command()

static bool manual_command | ( | struct tag_types * | tag_info | ) |

static

Write a server manual, then quit.

Definition at line 294 of file civmanual.c.

Referenced by main().

## ◆ popdown_help_dialog()

void popdown_help_dialog | ( | void |  | ) |

Client stub

Definition at line 234 of file civmanual.c.

## ◆ popup_help_dialog_string()

void popup_help_dialog_string | ( | const char * | item | ) |

Client stub

Definition at line 226 of file civmanual.c.

## ◆ tileset_description()

const char * tileset_description | ( | struct tileset * | t | ) |

Client stub

Definition at line 268 of file civmanual.c.

## ◆ tileset_name_get()

const char * tileset_name_get | ( | struct tileset * | t | ) |

Client stub

Definition at line 244 of file civmanual.c.

## ◆ tileset_summary()

const char * tileset_summary | ( | struct tileset * | t | ) |

Client stub

Definition at line 260 of file civmanual.c.

## ◆ tileset_version()

const char * tileset_version | ( | struct tileset * | t | ) |

Client stub

Definition at line 252 of file civmanual.c.

## Variable Documentation

## ◆ client_string

const char* client_string = "freeciv-manual"

Definition at line 200 of file civmanual.c.

## ◆ html_tags

struct tag_types html_tags

Definition at line 106 of file civmanual.c.

Referenced by main().

## ◆ ruleset

char* ruleset = NULL

static

Definition at line 202 of file civmanual.c.

Referenced by client_start_server(), main(), set_ruleset(), sg_load_ruleset(), and sg_load_savefile().

## ◆ tileset

struct tileset* tileset

Definition at line 239 of file civmanual.c.

## ◆ wiki_tags

struct tag_types wiki_tags

Definition at line 152 of file civmanual.c.

Referenced by main().